# OpenLayers.Events.featureclick

Extension event type for handling feature click events, including overlapping features.

#### Event types provided by this extension

- featureclick

Summary

OpenLayers.Events.featureclick | Extension event type for handling feature click events, including overlapping features.
Constructor |
OpenLayers.Events.featureclick | Create a new featureclick event type.
Functions |
destroy | Clean up.
OpenLayers.Events.nofeatureclick | Extension event type for handling click events that do not hit a feature.
OpenLayers.Events.featureover | Extension event type for handling hovering over a feature.
OpenLayers.Events.featureout | Extension event type for handling leaving a feature.

### Constructor

### OpenLayers.Events.featureclick

Create a new featureclick event type.

#### Parameters

target | {OpenLayers.Events} The events instance to create the events for.

### Functions

### destroy

> destroy: function()

Clean up.

## OpenLayers.Events.nofeatureclick

Extension event type for handling click events that do not hit a feature.

#### Event types provided by this extension

- nofeatureclick

## OpenLayers.Events.featureover

Extension event type for handling hovering over a feature.

#### Event types provided by this extension

- featureover

## OpenLayers.Events.featureout

Extension event type for handling leaving a feature.

#### Event types provided by this extension

- featureout

> destroy: function()

Clean up.
Close